<html>
<head>
<title>About</title>
<meta name="body-id" content="about" />
<style type="text/css" media="screen">
    @import "../styles/interior.css";
</style>
</head>
<body>


    <!-- BEGIN body area -->
    <div id="ignite_body">
        
        <!-- BEGIN left column (main content) -->
        <div id="ignite_body_leftcol">
            
            <!-- BEGIN body content area -->
            <div id="ignite_int_body">
            
                <!-- BEGIN body header -->
                <div id="ignite_body_header">
                    <h1>About</h1>
                </div>
                <!-- END body header -->
                
                
                <div class="ignite_int_body_padding">
                    
                    <h2 class="larger">Our Community</h2>
                    
                    <p>
                        Ignite Realtime is an Open Source community composed of end-users, developers and service providers
                        around the world who are interested in applying innovative, open-standards-based Real Time
                        Collaboration to their businesses. We're aimed at disrupting proprietary, non-open
                        standards-based systems and invite you to participate in what's already one of the biggest
                        and most active Open Source communities anywhere.
                    </p>
                    
                    <img src="../images/ignite_about-circlegraph.png" alt="" width="179" height="210" border="0" align="right" style="margin-left: 10px;">

                    <h2 class="larger">Open Source Philosophy</h2>

                    <p>
                        We create Open Source software because we know open, collaborative minds can improve the
                        software landscape. We believe in the potential of the XMPP protocol and we welcome ways
                        to increase its adoption. We put tremendous value on the involvement of Igniterealtime's
                        developer and user community--their continuous feedback, QA, and development efforts
                        help steer our development path.
                    </p>

                    <p>
                        We are committed to live out the values of the Open Source movement to the best of our
                        abilities, to act responsibly and in the best interests of our community and to be highly
                        responsive to the needs of the community and communicate proactively.
                    </p>
                    
                    <h2 class="larger">The XMPP Protocol</h2>


                    <p>
                        XMPP (formerly Jabber) is the leading open standard for presence and
                        real-time messaging. Since 2004, it's been an approved standard of the IETF
                        (the same organization that standardized email and World Wide Web protocols).
                        A rich set of <a href="https://xmpp.org/extensions/">extensions</a> to
                        the protocol are maintained by the <a href="https://xmpp.org/about/xmpp-standards-foundation.html">XMPP Standards Foundation</a>.
                        Today, XMPP is used by leading companies, millions of users worldwide and
                        is the best choice for open real-time collaboration.
                    </p>
                    <div class="about_xmpp_supporters">
                        <h3>Lead XMPP Supporters</h3>
                        <img src="../images/ignite_about-xmpp-logos.gif" width="309" height="174" border="0">
                    </div>

                    <p>
                        Open standards are critical in order to achieve a completely federated
                        environment where real time collaboration software works seamlessly
                        together. This will drive the medium forward as a unified productivity tool
                        and provide the greatest benefit to end users. The hundreds of interoperable
                        software products that use XMPP prove the reality of this vision.
                    </p>
                    <p>
                        Ignite Realtime furthers XMPP through best of breed protocol implementations,
                        development of new protocol extensions, and participation to the XMPP Standards Foundation (XSF).
                    </p>
                </div>
            
            </div>
            <!-- END body content area -->
            
        </div>
        <!-- END left column (main content) -->
        
        <!-- BEGIN right column (sidebar) -->
        <div id="ignite_body_rightcol">

            
            <!-- BEGIN sidebar box 'resources' -->
            <div class="ignite_sidebar_whitebox">
                <div class="ignite_sidebar_top"></div>
                <div class="ignite_sidebar_hdr ignite_sidebar_hdr_resources"></div>
                <div class="ignite_sidebar_body">
                    <div class="ignite_sidebar_body_resources">

                    <!--	<p><strong>Whitepapers:</strong></p>

                        <p><a href="jive_caseforim_wp.pdf">Why Your Business Should Use Enterprise Instant Messaging Now</a></p>
                        <p><a href="jive_xmpp_wp.pdf">XMPP: The Protocol for Open, Extensible Instant Messaging</a></p>
                        <p><a href="jive_bestpractices_wp.pdf">Building a Successful Online Community with Jive Forums</a></p>
                        <p><a href="OpenfireScalability.pdf">Openfire Scalability Test Results</a></p>

                        <br/> 

                        <p><strong>Websites:</strong></p> -->
                        <p><a href="https://xmpp.org/">XMPP.org Website</a></p>
                        <p><a href="https://planet.jabber.org/">Planet Jabber Blogs</a></p>
                        <p><a href="https://twitter.com/IgniteRealtime">Ignite Realtime on Twitter</a></p>

                    </div>
                </div>
                <div class="ignite_sidebar_btm"></div>
            </div>
            <!-- END white sidebar box 'resources' -->
            
            <%@ include file="/includes/sidebar_testimonial.jspf" %>

        </div>
        <!-- END right column (sidebar) -->
    
    </div>
    <!-- END body area -->



</body>
</html>
